%define major 72
%define glibmajor 8
%define qt4major 4
%define qt5major 1
%define cppmajor 0
%define girmajor 0.18

%define libname		%mklibname %name %major
%define libnameglib	%mklibname %name-glib %glibmajor
%define libnameqt4	%mklibname %name-qt4- %qt4major
%define libnameqt5	%mklibname %name-qt5- %qt5major
%define libnamecpp	%mklibname %name-cpp %cppmajor
%define libnamedev	%mklibname -d %name
%define libnameglibdev	%mklibname -d %name-glib
%define libnameqt4dev	%mklibname -d %name-qt4
%define libnameqt5dev	%mklibname -d %name-qt5
%define libnamecppdev   %mklibname -d %name-cpp
%define libnamegir	%mklibname %{name}-gir %{girmajor}

Name:		poppler
Summary: 	PDF rendering library
Group:		Office
Version:	0.61.1
Release:	%mkrel 2
License:	GPLv2+
URL:		http://poppler.freedesktop.org
Source:		http://poppler.freedesktop.org/%{name}-%{version}.tar.xz
#------------------------------------------
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}openjpeg-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: gettext-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5xml-devel
BuildRequires: libqt5widgets-devel
BuildRequires: libqt5test-devel
BuildRequires: libpthread-stubs
BuildRequires: cmake
#------------------------------------------
Obsoletes:	xpdf-tools < 3.02
Provides:	xpdf-tools
Obsoletes:	pdftohtml
Provides:	pdftohtml

%description
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n %{libname}
Summary:	PDF rendering library
Group:          System/Libraries
Requires:	poppler-data

%description -n %{libname}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
Development files for %{name}

%package -n %{libnamecpp}
Summary:	PDF rendering library - C++ backend
Group:          System/Libraries

%description -n %{libnamecpp}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the C++ backend version.

%package  -n %{libnameqt4dev}
Summary:    Development files for %{name}-qt4
Group:      Development/Libraries
Provides:   %{name}-qt4-devel = %{version}-%{release}
Requires:   %{libnameqt4} = %{version}

%description -n %{libnameqt4dev}
Development files for %{name}-qt4

%package -n %{libnameqt4}
Summary:    PDF rendering library - Qt4 backend
Group:          System/Libraries

%description -n %{libnameqt4}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the Qt4 backend version.

%package  -n %{libnameqt5dev}
Summary:    Development files for %{name}-qt5
Group:      Development/Libraries
Provides:   %{name}-qt5-devel = %{version}-%{release}
Requires:   %{libnameqt5} = %{version}

%description -n %{libnameqt5dev}
Development files for %{name}-qt5

%package -n %{libnameqt5}
Summary:    PDF rendering library - Qt5 backend
Group:          System/Libraries

%description -n %{libnameqt5}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the Qt5 backend version.

%package -n %{libnameglib}
Summary:	PDF rendering library - glib binding
Group:          System/Libraries

%description -n %{libnameglib}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.


%package -n %{libnameglibdev}
Summary:	Development files for %{name}'s glib binding
Group:		Development/Libraries
Provides:	%{name}-glib-devel = %{version}-%{release}
Requires:	%{libnameglib} = %{version}

%description -n %{libnameglibdev}
Development files for %{name}'s glib binding.

%package -n %{libnamecppdev}
Summary:	Development files for %{name}-cpp
Group:		Development/Libraries
Provides:	%{name}-cpp-devel = %{version}-%{release}
Requires:	%{libnamecpp} = %{version}

%description -n %{libnamecppdev}
Development files for %{name}-cpp.

%prep
%setup -q

%build
export MOCQT4=%{_qt4_bindir}/moc
export MOCQT5=%{_qt5_bindir}/moc

# bit hacky but use the cmake_qt4 macro otherwise the qt4 stuff is not detected
%cmake_qt4 -DBUILD_GTK_TESTS=OFF \
	-DCMAKE_CXX_FLAGS="$CXXFLAGS %{optflags} -std=gnu++11" \
	-DENABLE_QT4=ON \
	-DENABLE_QT5=ON \
	-DENABLE_GLIB=ON \
	-DENABLE_CPP=ON \
	-DENABLE_LIBOPENJPEG=auto \
	-DENABLE_CMS=auto \
	-DENABLE_UTILS=ON \
	-DENABLE_LIBCURL=ON \
	-DENABLE_ZLIB=ON \
	-DENABLE_XPDF_HEADERS=ON \
	-DENABLE_GTK_DOC=OFF
	
%make

%install
%makeinstall_std -C build
%{__cp} -a build/config.h %{buildroot}%{_includedir}/poppler/

#rm %{buildroot}/%{_libdir}/*.la

%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libpoppler.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/libpoppler.so
%dir %{_includedir}/poppler/
%{_includedir}/poppler/config.h
%{_includedir}/poppler/[A-Z]*
%{_includedir}/poppler/fofi
%{_includedir}/poppler/goo
%{_includedir}/poppler/splash
%{_includedir}/poppler/poppler-config.h
%{_libdir}/pkgconfig/poppler-cairo.pc
%{_libdir}/pkgconfig/poppler-splash.pc
%{_libdir}/pkgconfig/poppler.pc
#%{_datadir}/gtk-doc/html/%{name}/

%files -n %{libnameglib}
%{_libdir}/libpoppler-glib.so.%{glibmajor}*
%_libdir/girepository-1.0/Poppler-%{girmajor}.typelib

%files -n %{libnameglibdev}
%{_libdir}/libpoppler-glib.so
%{_libdir}/pkgconfig/poppler-glib.pc
%{_includedir}/poppler/glib/
%{_datadir}/gir-1.0/Poppler-%{girmajor}.gir

%files -n %{libnameqt4dev}
%{_includedir}/poppler/qt4/
%{_libdir}/pkgconfig/poppler-qt4.pc
%{_libdir}/libpoppler-qt4.so

%files -n %{libnameqt4}
%{_libdir}/libpoppler-qt4.so.%{qt4major}*

%files -n %{libnameqt5dev}
%{_includedir}/poppler/qt5/
%{_libdir}/pkgconfig/poppler-qt5.pc
%{_libdir}/libpoppler-qt5.so

%files -n %{libnameqt5}
%{_libdir}/libpoppler-qt5.so.%{qt5major}*

%files -n %{libnamecpp}
%{_libdir}/libpoppler-cpp.so.%{cppmajor}*

%files -n %{libnamecppdev}
%{_libdir}/libpoppler-cpp.so
%{_libdir}/pkgconfig/poppler-cpp.pc
%{_includedir}/poppler/cpp


%changelog
* Mon Nov 05 2018 adrianomorselli <adrianomorselli> 0.61.1-2uplos2018
- rebuild for qt5 updates
